/**
 * 注意：此檔案包含自定義樣式，請勿在系統更新時覆蓋
 * Note: This file contains custom styles, do not overwrite during system updates
 * 最後更新 / Last updated: 2025-04-16
 */
@import url('https://fonts.googleapis.com/css2?family=Fira+Sans:ital,wght@0,100;0,200;0,300;0,400;0,500;0,600;0,700;0,800;0,900;1,100;1,200;1,300;1,400;1,500;1,600;1,700;1,800;1,900&display=swap');
/* 全局|header|header-template21 */
.header-template21.header--unfixed .header__inner .nav__box .nav > .nav__item > .nav__name,
.header-template21.header--unfixed .header__inner .nav__box .nav > .nav__item > .nav__item-div > .nav__name,
.header-template21.header--unfixed .topblock .left-info li,
.header-template21.header--unfixed .topblock .left-info li a,
.header-template21.header--unfixed .language,
.header-template21.header--unfixed .cart-btn,
.header-template21.header--unfixed .header__search-icon i {
    color: #E17878;
}
.header-template21.header--unfixed .header__inner .nav__name.active:after,
.header-template21.header--unfixed .header__inner .nav__box:after {
    background: #E17878;
}
.header-template21 {
    &.header--unfixed {
        background: linear-gradient(to bottom,  rgba(255,255,255,0.4) 31%,rgba(211,132,132,0.15) 62%,rgba(211,132,132,0) 100%);
        .header__inner {
            .logo {
                .logo__img {
                    img {
                        /*transform: scale(1.2);*/
                        width: 300px !important;
                        transform: scale(1);
                    }
                }
            }
        }
        .topblock {
            border-color: #E17878;
        }
    }
    &.header--fixed {
        .nav__btn::after {
            color: #FFFFFF;
        }
    }
    .nav__name {
        &:hover {
            color: #E17878;
            opacity: 1;
        }
    }
    .header__search-form {
        width: 100%;
        left: inherit;
        background-color: #d3848499;
    }
}
@media (max-width: 991px) {
    .header-template21.header--unfixed .header__inner .hamburger span {
        background-color: #E17878;
    }
    .header-template21.header--unfixed .header__inner .hamburger--on span {
        background-color: #FFFFFF;

    }
    .header-template21 .header__inner .hamburger .a-cover {
        background-color: transparent !important;
    }
    .header-template21 .header__search-form {
        top: 0;
    }
    .header-template21 {
        &.header--unfixed {
            .header__inner {
                .logo {
                    .logo__img {
                        img {
                            width: 165px !important;
                            transform: scale(1);
                        }
                    }
                }
            }
       }
    }
}


/* 全局|gdpr|位置變更 */
@media screen and (min-width:991px) {
    .advbox{
        max-width: 400px;
        left: 16px;
        bottom: 16px;
        display: flex;
        flex-direction: column;
        align-items: center;
    }

    .cookies-btn,.advbox .btnset{
        width: 100%;
        margin: 8px auto;
        text-align: center;
    }

    .advbox .btnset:hover{
        background: #383838;
    }

}

/* 全局|header|箭頭樣式 */
.nav__btn::after{
    font-family: "icomoon";
    content: "\f105";
    font-size: 20px;
    color: #E17878;
    transform: rotate(90deg);
}

.nav__layer .nav__btn::after{
    font-family: "icomoon";
    content: "\f105";
    font-size: 20px;
    transform: rotate(0deg);
}

@media screen and (max-width:991px) {
    .nav__btn::after{
        font-family: "icomoon";
        content: "\f105";
        font-size: 20px;
        color: #FFFFFF;
        transform: rotate(0deg);
    }
}
.nav__btn-icon{
    display: none;
}

/* 首頁|編輯器|按鈕樣式 */
.button-icon {
    width: 105px;
    height: 105px;
    position: relative
}
.button-icon:before {
    width: 105px;
    height: 105px;
    background-image: url("/uploads/tinymce/images/5b1efeb8a03b04a4781bc78ac00b89ce6979d383b250d.png");
    content: "";
    animation: rotate 70s linear infinite;
    display: block;
}
.button-icon .icon-pic {
    width: 105px;
    height: 105px;
    position: absolute;
    left: 0;
    top: 0;
    justify-content: center;
    align-items: center;
}
.button-icon .icon-pic:before {
    width: 51px;
    height: 48px;
    left: calc(50% - 25.5px);
    top: calc(50% - 24px);
    background: url("/uploads/tinymce/images/120d4df310c4d7e2f6909e8e4b19eead6979d34e265c8.png") no-repeat;
    content: "";
    display: block;
    transition: all 300ms ease-in-out;
}
.button-icon .icon-pic:hover:before {
    width: 44px;
    background: url("/uploads/tinymce/images/af093d5ce8580364eae551b0b292831c6979d35aa96bf.png") no-repeat;
}
@keyframes rotate {
    100% {
        transform: rotate(360deg);
    }
}

/* 全局|--|客製樣式 */
.wrapper {
    max-width: 1600px;
    &.wrapper--fluid {
        max-width: 100%;
    }
}
@media screen and (max-width:1440px) {
    .wrapper {
        max-width: 1400px;
    }
}
.ind-below {
    z-index: 1;
}

.index-h1__setting {
    font-weight: 100;
}
.inner > .title span::before {
    display: none;
}
.index-editor-template44 {
    .contact-en {
        img {
            opacity: .15;
        }
    }
}
.main-h1-template1 {
    font-family: "Fira Sans", sans-serif;
    font-weight: 300;
}
@media (min-width: 769px) {
    .main-h1-template1 {
        width: 48%;
    }
}
